﻿#include <stdio.h>

main()
{
    int i,z,a,b,f,k;
	printf("Введите число/n");
    scanf("%d",&f); 	/*Вводим число и обозначам переменные*/
    i=1;
    b=0;
    z=0;
    
    while (f!=0)
    {
		a=f%2;			/*Определяем разрядность числа (1 или 0)*/
		f=(f-a)/2;		/*Уменьшаем число на 2 и выводим 1, если она есть*/
		z=z+(a*i);		/*Составляем число которое получится*/
		i*=10;			/*Перемещаем следующее число влево*/
    }
    printf("%d",z);		/*Выводим получившиеся число*/
    
    return 0;

}